# Class BuildCommand

java.lang.Object
org.gradle.plugins.ide.eclipse.model.BuildCommand

All Implemented Interfaces:
  `Serializable`

public class BuildCommand extends Object implements Serializable
A build command.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildCommand(String name)`
  Creates a new `BuildCommand`.
  `BuildCommand(String name, Map<String,String> arguments)`
  Creates a new `BuildCommand`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Map<String,String>`
  `getArguments()`
  Returns the arguments.
  `String`
  `getName()`
  Returns the name.
  `int`
  `hashCode()`
  `void`
  `setArguments(Map<String,String> arguments)`
  Sets the arguments.
  `void`
  `setName(String name)`
  Sets the name.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BuildCommand

    public BuildCommand(String name)
    Creates a new `BuildCommand`.
    Since:
      1.0

  - ### BuildCommand

    public BuildCommand(String name, Map<String,String> arguments)
    Creates a new `BuildCommand`.
    Since:
      1.0

- ## Method Details

  - ### getName

    public String getName()
    Returns the name.
    Since:
      1.0

  - ### setName

    public void setName(String name)
    Sets the name.
    Since:
      1.0

  - ### getArguments

    public Map<String,String> getArguments()
    Returns the arguments.
    Since:
      1.0

  - ### setArguments

    public void setArguments(Map<String,String> arguments)
    Sets the arguments.
    Since:
      1.0

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`